龙卷形态1:
  Conditions:
  - crouching true
  #- hastag player true
  - score{o=龙卷形态;v=1} true
  Skills:
  - modifytargetscore{o=龙卷形态;action=ADD;v=1} @Self
  #- setstance{stance=mobs} @self
  #- removetag{tag=mobs} @Self
  #- addtag{t=player} @self 
  #- sendtitle{t=&f形态切换成功！;st=&f当前形态：&a玩家;d=40;fi=20;fo=20} @Self
  - message{m="&7形态切换成功！ 当前目标： &a玩家"} @Self
龙卷形态2:
  Conditions:
  - crouching true
  #- hastag player true
  - score{o=龙卷形态;v=3} true
  Skills:
  #- setstance{stance=player} @self
  #- removetag{tag=player} @Self
  #- addtag{t=mobs} @self 
  #- sendtitle{t=&f形态切换成功！;st=&f当前形态：&c怪物;d=40;fi=20;fo=20} @Self
  - message{m="&7形态切换成功！ 当前目标： &c怪物"} @Self
  - modifytargetscore{o=龙卷形态;action=SET;v=0} @Self
龙卷形态切换:
  Conditions:
  - crouching true
  Skills:
  - modifytargetscore{o=龙卷形态;action=ADD;v=1} @Self
龙卷风聚怪:
  Conditions:
  - crouching false
  #- hastag mobs true
  #- stance mobs false
  - score{o=龙卷形态;v=0} true
  Skills:
  - sound{s=entity.wither.ambient} @PIR{R=30}
  - sound{s=entity.wither.ambient} @Self
  - effect:particles{p=spell;a=10;hs=0.2;vs=0.2;y=0.1;forwardOffset=1} @Self
  - delay 2
  - effect:particles{p=spell;a=15;hs=0.3;vs=0.3;y=0.3;forwardOffset=1.3} @Self
  - delay 2
  - effect:particles{p=spell;a=20;hs=0.4;vs=0.4;y=0.5;forwardOffset=1.6} @Self
  - delay 2
  - effect:particles{p=spell;a=25;hs=0.5;vs=0.5;y=0.7;forwardOffset=1.9} @Self
  - delay 2
  - effect:particles{p=spell;a=30;hs=0.6;vs=0.6;y=0.9;forwardOffset=2.2} @Self
  - delay 2
  - effect:particles{p=spell;a=35;hs=0.7;vs=0.7;y=1.1;forwardOffset=2.5} @Self
  - delay 2
  - effect:particles{p=spell;a=10;hs=0.8;vs=0.8;y=1.3;forwardOffset=2.8} @Self
  - delay 2
  - effect:particles{p=spell;a=15;hs=0.9;vs=0.9;y=1.5;forwardOffset=3.1} @Self
  - delay 2
  - effect:particles{p=spell;a=20;hs=1.1;vs=1.1;y=1.7;forwardOffset=3.4} @Self
  - delay 2
  - effect:particles{p=spell;a=25;hs=1.3;vs=1.3;y=1.9;forwardOffset=3.7} @Self
  - delay 2
  - effect:particles{p=spell;a=30;hs=1.5;vs=1.5;y=2.1;forwardOffset=4.0} @Self
  - delay 2
  - effect:particles{p=spell;a=35;hs=1.7;vs=1.7;y=2.3;forwardOffset=4.3} @Self
  - delay 2
  - customsummon{t=龙卷风聚怪-Tick;a=1;ax=0;ay=10;az=0;inv=true;so=true} @Forward{f=5;y=0.0}
  - customsummon{t=龙卷风范围提示;a=1;ax=0;ay=0;az=0;inv=true;so=true} @Forward{f=5;y=0.0}
龙卷风聚玩家:
  Conditions:
  - crouching false
  #- hastag player true
  #- stance mobs true
  - score{o=龙卷形态;v=2} true
  Skills:
  - sound{s=entity.wither.ambient} @PIR{R=30}
  - sound{s=entity.wither.ambient} @Self
  - effect:particles{p=spell;a=10;hs=0.2;vs=0.2;y=0.1;forwardOffset=1} @Self
  - delay 2
  - effect:particles{p=spell;a=15;hs=0.3;vs=0.3;y=0.3;forwardOffset=1.3} @Self
  - delay 2
  - effect:particles{p=spell;a=20;hs=0.4;vs=0.4;y=0.5;forwardOffset=1.6} @Self
  - delay 2
  - effect:particles{p=spell;a=25;hs=0.5;vs=0.5;y=0.7;forwardOffset=1.9} @Self
  - delay 2
  - effect:particles{p=spell;a=30;hs=0.6;vs=0.6;y=0.9;forwardOffset=2.2} @Self
  - delay 2
  - effect:particles{p=spell;a=35;hs=0.7;vs=0.7;y=1.1;forwardOffset=2.5} @Self
  - delay 2
  - effect:particles{p=spell;a=10;hs=0.8;vs=0.8;y=1.3;forwardOffset=2.8} @Self
  - delay 2
  - effect:particles{p=spell;a=15;hs=0.9;vs=0.9;y=1.5;forwardOffset=3.1} @Self
  - delay 2
  - effect:particles{p=spell;a=20;hs=1.1;vs=1.1;y=1.7;forwardOffset=3.4} @Self
  - delay 2
  - effect:particles{p=spell;a=25;hs=1.3;vs=1.3;y=1.9;forwardOffset=3.7} @Self
  - delay 2
  - effect:particles{p=spell;a=30;hs=1.5;vs=1.5;y=2.1;forwardOffset=4.0} @Self
  - delay 2
  - effect:particles{p=spell;a=35;hs=1.7;vs=1.7;y=2.3;forwardOffset=4.3} @Self
  - delay 2
  - lunge{v=5000;y=0} @Self
  - delay 5
  - customsummon{t=龙卷风聚玩家-Tick;a=1;ax=0;ay=10;az=0;inv=true;so=true} @Forward{f=10;y=0.0}
  - customsummon{t=龙卷风范围提示;a=1;ax=0;ay=0;az=0;inv=true;so=true} @Forward{f=10;y=0.0}
龙卷风聚怪-Tick:
  Skills:
  - effect:particletornado{cp=spell;p=spell;mr=1;h=2;i=1;d=200;rs=2;sh=1;cs=0.1;ca=1;chs=1;cvs=1;cps=1;cyo=-9.5} @Self
  - pull{v=2.5;repeat=20;repeatInterval=10} @EIR{r=12;ignore=players,<caster.name>}
  - damage{a=1;pi=true;pk=true;repeat=20;repeatInterval=10} @EIR{r=12;ignore=players,<caster.name>}
  - sound{s=block.sand.place;v=2;repeat=40;repeatInterval=5} @PIR{R=30}
  - delay 200
  - remove @Self
龙卷风聚玩家-Tick:
  Skills:
  - effect:particletornado{cp=spell;p=Spell;mr=1;h=2;i=1;d=200;rs=2;sh=1;cs=0.1;ca=1;chs=1;cvs=1;cps=1;cyo=-9.5} @Self
  - pull{v=2.5;repeat=20;repeatInterval=10} @EIR{r=12;ignore=monsters}
  - damage{a=1;pi=true;pk=true;repeat=20;repeatInterval=10} @EIR{r=12;ignore=monsters}
  - sound{s=block.sand.place;v=2;repeat=40;repeatInterval=5} @PIR{R=30}
  - delay 200
  - remove @Self
龙卷风范围提示:
  Skills:
  - effect:particlering{particle=flame;radius=6;points=64;amount=1;hS=0;vS=0;y=0.1;repeat=40;repeatInterval=5} @Self
  - delay 200
  - remove @Self